Kerbal Space Program - Bug #13033

Loading savegame where craft had very low altitude can result in destruction
10/18/2016 09:37 PM - AlffromKerbal

Status: Confirmed Start date: 10/18/2016
Severity: Unworthy % Done: 10%
Assignee:

Category: Application

Target version:

Version: 1.2.0 Language: English (US)
Platform: Linux Mod Related: No
Expansion:

Description

You can't save while driving, but you can when flying and jumping. On Mun, i saved several times while jumping. When i load such a
saved game and the jump altitude was very little (maybe around diameter of RoveMax Model M1 wheel), the rover may explode.

Always, after loading a game, there is 0.5sec of movement/screenupdate, then it lags for a second before game continues. When i
load a bad timed savegame, rover is exploding in about 2 seconds of continuation, just before i could do any movement.

This behavior is unfluenced by Bug #12959 / #12999. Once i have played for some time, game got a bit "laggy" and i wanted to load
a described savegame. | did several reloads and rover exploded every time. | then restarted KSP which ran smooth again and tried
to load the savegame. Rover didn't explode this time.

| was too fast in deleting savegames (to make loadscreen open way faster when only few saves present) and cannot provide it
anymore.

If it's ok/normal, that saving at too low altitude may be destructive for craft when reloading, i suggest a minimal "able to save" height.

History

#1 - 10/19/2016 02:24 AM - AlffromKerbal
- Status changed from New to Confirmed

- % Done changed from 0 to 10

This Bug is worse than i thought!

| was going to build my 1st Munbase and played around with a grabberunit. As i attached the fuel tank to the center tower, it got a bit messy and the
still docked grabberunit (free pivot) floated around (and the base was shaken a bit). At a somehow stable point i quickly saved, not to late, cause i
crashed my base. After reloading, the base was calm and the grabberunit stuck in the Mun.
https://bugs.kerbalspaceprogram.com/issues/12999

After loading, it takes far more time than normal until the game reacts, but then of course by exploding the grabber unit.

| wanted to provide a screenshot, a savegame and the grabberunit, but server says "Internal Server Error" - | will add when it's working again.

#2 - 10/19/2016 12:40 PM - AlffromKerbal

- File Gabelstapler 1.craft added

- File GrabberUnitStucksInGroundAfterLoadingSave.jpg added
- File DifferenceSaveload.gif added

- File GrabberUnitStucksInGroundAfterLoadingSave.sfs added

Ok, here they are. As i have redone my Munbase construction, i had similiar problem, but without shaking parts, see gif:

DifferenceSaveload.gif
| also can see this behavior sometimes at VAB (didn't recognized at SPH yet) when rockets get placed on launchsite.

Btw. since this is not restricted to "jumping-rover-savegames", i would rise priority at least to low (you cannot trust your savegame).

#3 - 10/19/2016 07:19 PM - Nebbie

| had some "fun" last night due to quicksaving while my rover craft was running along the surface of Minmus (quicksave safety check didn't detect that
wheels were touching the ground, despite brakes working). The physics easing period caused my vehicle to repeatedly tumble due to being set down
by the easing apparently flat despite the terrain's slope.

#4 - 11/24/2016 12:01 AM - AlffromKerbal

- File MinmusBaseExploding.gif added

- File MinmusBaseWobblingAndExploding.sfs.zip added

| from now on see this as a normal priority.

| have this problem on a regular basis now (more and bigger stuff on planets). Saved a game on Minmus at my planetary outpost which is in a FLATS
region. See gif to see what's up.

After loading game (or switching to that scene), base + car are increasing wobbling until parts explode.

Luckily i could prevent damage by fast releasing the grabber connection between base and car.

Btw. it's a clean downloaded 1.2.1 version via steam.
MinmusBaseExploding.gif
#5 - 12/11/2016 06:19 PM - AlffromKerbal
Bases are still in danger by starting wobbling in 1.2.2.1622.

There are msgs like "ground contact! - error: 0.013m" in console. Base is even wobbling when it's "ground contact! - error: 0.000m".

#6 - 12/14/2016 08:11 PM - AlffromKerbal

| recently have some sudden upshaking and exploding of my orbital base. Docked heavy weight stuff, seem that the last one was to much to handle.

I'm wondering, isn't there any resistance in all of that wobbling? Actually you have something like perpetuum mobile - bases/ships start wobbling

which rises until destruction. If wobbling, it should reduce, not rise.
